ChangeSet 1.1290.15.5, 2004/02/04 17:25:53-08:00, kronos@kronoz.cjb.net

[PATCH] USB: fix hid-core compile warning

hid-core.c:879: warning: implicit declaration of function `hiddev_report_event'

Add missing prototype in include/linux/hiddev.h


 include/linux/hiddev.h |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/include/linux/hiddev.h b/include/linux/hiddev.h
--- a/include/linux/hiddev.h	Wed Mar 17 15:48:59 2004
+++ b/include/linux/hiddev.h	Wed Mar 17 15:48:59 2004
@@ -217,6 +217,7 @@
 void hiddev_disconnect(struct hid_device *);
 void hiddev_hid_event(struct hid_device *hid, struct hid_field *field,
 		      struct hid_usage *usage, __s32 value);
+void hiddev_report_event(struct hid_device *hid, struct hid_report *report);
 int __init hiddev_init(void);
 void __exit hiddev_exit(void);
 #else
